#include<bits/stdc++.h>
using namespace std ;

int main() {
    ios_base::sync_with_stdio(false) ;
    cin.tie(0) ;
    cout.tie(0) ;
    int t ;
    cin >> t ;
    for (int i = 0 ; i < t ; i++) {
        long long n ;
        cin >> n ;
        set<long long> proizvodi ;
        for (int j = 1 ; j <= n ; j++) {
            long long p = 1 ;
            string n1 = to_string(j) ;
            for (int k = 0 ; k < n1.size() ; k++ ) {
                p = p*(int(n1[k])-48) ;
            }
            proizvodi.insert(p) ;
        }
        cout << proizvodi.size() << endl  ;
    }
}